Package org.eclipse.jgit.transport

## Class UploadPack.ReachableCommitRequestValidator

- java.lang.Object
- - org.eclipse.jgit.transport.UploadPack.ReachableCommitRequestValidator

All Implemented Interfaces:
  `UploadPack.RequestValidator`

Enclosing class:
  UploadPack

    public static final class UploadPack.ReachableCommitRequestValidator
    extends Object
    implements UploadPack.RequestValidator

Validator corresponding to `UploadPack.RequestPolicy.REACHABLE_COMMIT`.

Since:
  3.1

### Constructor Summary

Constructors
`ReachableCommitRequestValidator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkWants​(UploadPack up, List<ObjectId> wants)` Check a list of client wants against the request policy.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReachableCommitRequestValidator

    public ReachableCommitRequestValidator()

### Method Detail

#### checkWants

    public void checkWants​(UploadPack up,
                           List<ObjectId> wants)
                    throws PackProtocolException,
                           IOException

Description copied from interface: `UploadPack.RequestValidator`
Check a list of client wants against the request policy.

Specified by:
  `checkWants` in interface `UploadPack.RequestValidator`
Parameters:
  `up` - `UploadPack` instance.
  `wants` - objects the client requested that were not advertised.
Throws:
  `PackProtocolException` - if one or more wants is not valid.
  `IOException` - if a low-level exception occurred.